Skip to main content
GET
/
v1
/
enrichment
/
company
Extract Company Data Profile
curl --request GET \
  --url 'https://api.scrapin.io/v1/enrichment/company?apikey='
{
  "success": true,
  "credits_consumed": 1,
  "credits_left": 90000.5,
  "rate_limit_left": 19000,
  "daily_rate_limit_left": 19000,
  "minute_rate_limit_left": 499,
  "next_minute_rate_limit_reset": "2024-01-15T10:31:00Z",
  "quotas": {
    "credits": {
      "total": 10000,
      "used": 1234,
      "left": 8766
    },
    "daily_rate_limit": {
      "limit": 5000,
      "used": 150,
      "left": 4850,
      "next_reset": "2024-10-31T12:46:00.000Z"
    },
    "minute_rate_limit": {
      "limit": 500,
      "used": 12,
      "left": 488,
      "next_reset": "2024-10-31T12:46:00.000Z"
    }
  },
  "metadata": {
    "source": "fresh",
    "request_id": "000xcc2a-829a-4200-9704-f6f9cf9a23de"
  },
  "company": {
    "linkedInId": "71234370",
    "name": "Data company",
    "universalName": "data-company",
    "linkedInUrl": "https://www.social.com/company/12345678",
    "employeeCount": 14,
    "followerCount": 806,
    "employeeCountRange": {
      "start": 11,
      "end": 50
    },
    "websiteUrl": "https://data.com",
    "tagline": "We Provide Data for companies",
    "description": "Our mission is to provide the most accurate and reliable web data, empowering AI applications to thrive in this new era of computing.",
    "industry": "Software Development",
    "phone": null,
    "specialities": [
      "Lead Generation",
      "Lead Qualification",
      "Market Search",
      "Competitor analysis",
      "CRM enrichment"
    ],
    "headquarter": {
      "city": "Paris",
      "country": "FR",
      "postalCode": "75000",
      "geographicArea": "Île-de-France",
      "street1": "3, Paris street",
      "street2": "mailbox 003"
    },
    "logo": "https://media.licdn.com/dms/image/v2/D4E0BAQGj-Nfob0e55g/company-logo_400_400/company-logo_400_400/0/1702166267344/data_logo?e=1756339200&v=beta&t=99eMIcY7IX2cLI-YkJOBdfg16aCwmd7Tpk8BrSXaJHg",
    "foundedOn": {
      "year": 2020
    },
    "fundingData": null,
    "backgroundUrl": "https://media.licdn.com/dms/image/v2/D4E1BAQEldpeB551LZA/company-background_10000/company-background_10000/0/1678715803339/data_cover?e=1751288400&v=beta&t=gA-h6dpu8MRhpok9BoeVM5A0aPxGcM-9O7BqdOG8uRM"
  }
}
404 Errors: If the URL returns a 404 (company not found), the request still consumes 1 credit.

Cache Hit

If we find the profile in our cache within your specified duration, we serve it instantly at 0.5 credits. This is a 50% savings on the standard price.

Cache Miss

If the profile isn’t cached, we perform a live scrape to get fresh data. This costs the standard 1 credit.

Request Tracking & Reporting

Found incorrect or missing data? Visit your API Logs to view all requests and report issues directly from the web interface.
How to report an issue:
  1. Go to app.scrapin.io/api-logs
  2. Find the request you want to report in the logs table
  3. Click the “Report” button in the Actions column
  4. Select the issue type and add a description
The request_id helps our team investigate and resolve issues quickly. All enrichment requests are automatically logged for your convenience.

Authorizations

apikey
string
query
required

This required parameter is a string. It represents the APIKEY obtained from the developer dashboard. You must use it in the query string of your request as ?apikey=YOUR_API_KEY or in the headers as x-api-key: YOUR_API_KEY

Query Parameters

linkedInUrl
string
required

This required parameter is a string. It represents the Social URL of the company with this format: https://www.social.com/company/xxxxxxxxxx/.

cacheDuration
string

Optional parameter to enable caching. Accepts duration strings like '4h', '2d', '1w', '2mo', '1y'. We use the parse-duration library internally to parse these values. If the profile is found in cache within this duration, only 0.5 credits are consumed. Otherwise, fresh data is scraped for 1 credit.

Response

The endpoint returns information about the company.

success
boolean

Indicates success or failure of api request.

credits_consumed
number

Represents the number of credits consumed by this query.

credits_left
number

Represents the usable credits available for the user account after this query.

rate_limit_left
number

Represents the usable daily request limit available for the user account after this query.

daily_rate_limit_left
number

Represents the usable daily request limit available for the user account after this query.

minute_rate_limit_left
number

Represents the usable minute request limit available for the user account after this query.

next_minute_rate_limit_reset
string

Represents the next minute rate limit reset for the user account after this query. Datetime in ISO 8601 format (e.g., 2025-11-14T14:34:43.000Z).

quotas
object

Structured quota information for the user account. Provides the same data as the flat fields above in a more organized format.

metadata
object
company